## org.springframework.jdbc.core.simple
Class ParameterizedBeanPropertyRowMapper<T>

    java.lang.Object
      org.springframework.jdbc.core.BeanPropertyRowMapper
          org.springframework.jdbc.core.simple.ParameterizedBeanPropertyRowMapper<T>

All Implemented Interfaces:
  RowMapper, ParameterizedRowMapper<T>

    public class ParameterizedBeanPropertyRowMapper<T>

extends BeanPropertyRowMapper
implements ParameterizedRowMapper<T>

`ParameterizedRowMapper` implementation that converts a row into a new instance of the specified mapped target class. The mapped target class must be a top-level class and it must have a default or no-arg constructor.

Uses Java 5 covariant return types to override the return type of the `mapRow(java.sql.ResultSet, int)` method to be the type parameter `T`.

Column values are mapped based on matching the column name as obtained from result set metadata to public setters for the corresponding properties. The names are matched either directly or by transforming a name separating the parts with underscores to the same name using "camel" case.

Mapping is provided for fields in the target class for many common types, e.g.: String, boolean, Boolean, byte, Byte, short, Short, int, Integer, long, Long, float, Float, double, Double, BigDecimal, `java.util.Date`, etc.

To facilitate mapping between columns and fields that don't have matching names, try using column aliases in the SQL statement like "select fname as first_name from customer".

Please note that this class is designed to provide convenience rather than high performance. For best performance consider using a custom RowMapper.

Since:
  2.5
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  `ParameterizedRowMapper`

Field Summary

Fields inherited from class org.springframework.jdbc.core.BeanPropertyRowMapper
`logger`

Constructor Summary
`ParameterizedBeanPropertyRowMapper()` Create a new ParameterizedBeanPropertyRowMapper.

Method Summary
`T` `mapRow(ResultSet rs, int rowNumber)` Extract the values for all columns in the current row.

`static

`<T> ParameterizedBeanPropertyRowMapper<T>`

`

`newInstance(Class<T> mappedClass)`
Static factory method to create a new ParameterizedBeanPropertyRowMapper (with the mapped class specified only once).

Methods inherited from class org.springframework.jdbc.core.BeanPropertyRowMapper
`getColumnValue, getMappedClass, initBeanWrapper, initialize, isCheckFullyPopulated, setCheckFullyPopulated, setMappedClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterizedBeanPropertyRowMapper

    public ParameterizedBeanPropertyRowMapper()

  Create a new ParameterizedBeanPropertyRowMapper.

  Generally prefer the `newInstance(Class)` method instead, which avoids the need for specifying the mapped type twice.

  See Also:
    `BeanPropertyRowMapper.setMappedClass(java.lang.Class)`

Method Detail

### mapRow

    public T mapRow(ResultSet rs,
                    int rowNumber)
             throws SQLException

  Description copied from class: `BeanPropertyRowMapper`
  Extract the values for all columns in the current row.

  Utilizes public setters and result set metadata.

  Specified by:
    `mapRow` in interface `RowMapper`
  Specified by:
    `mapRow` in interface `ParameterizedRowMapper<T>`
  Overrides:
    `mapRow` in class `BeanPropertyRowMapper`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNumber` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)
  See Also:
    `ResultSetMetaData`

### newInstance

    public static <T> ParameterizedBeanPropertyRowMapper<T> newInstance(Class<T> mappedClass)

  Static factory method to create a new ParameterizedBeanPropertyRowMapper (with the mapped class specified only once).

  Parameters:
    `mappedClass` - the class that each row should be mapped to

Copyright © 2002-2008 The Spring Framework.